Bug 68264 - bluetooth doesn't work
bluetooth doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 14:04 EDT by Pam Huntley
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pam Huntley 2002-07-08 14:04:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4)
Gecko/20011128 Netscape6/6.2.1

Description of problem:
On the IBM ThinkPads with bluetooth, either the usb bluetooth module, or the
built-in card, bluetooth doesn't work.  Additionally, none of the tools you need
to test it are present.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.3
2. Push bluetooth button, or attach usb bluetooth device
3. load bluetooth module
	

Actual Results:  
dmesg reports:

bluetooth.c: USB Bluetooth support registered
usb.c: registered new driver bluetooth
bluetooth.c: USB Bluetooth tty driver v0.12

But the light on the bluetooth device doesn't come on.
Also, I'm used to having l2ping to test, as well as hciconfig and hcitool, and
they weren't present.

Expected Results:  The device wasn't activated, no lights came on, and I didn't
have any tools to test it anyways.

Additional info:

I was able to get bluetooth working from http://bluez.sourceforge.net/ .

The three packages I used were:
bluez-kernel-2.1.tar.gz
bluez-libs-2.0-pre10.tar.gz
bluez-utils-2.0-pre12.tar.gz

although I'm not sure the libs package is important for just getting the device
up and running. When I loaded the modules bluez and hci_usb from the kernel
package, the bluetooth module came up automatically, and the device lights came
on.  

Then I was able to use the tools to test it.
'hciconfig hci0 up' brought up the bluetooth interface
'hcitool inq' showed the other bluetooth devices in the area with their numbers
'l2ping <#>' let me test the connection to the other devices.  
Also l2test was useful to send sample data packets.

It would be really nifty if all this worked out of the box on Red Hat...
Comment 1 Mikko Rapeli 2002-10-28 17:36:58 EST
Bluetooth really does not work on RH7.3 even with Racewood USB Bluetooth dongle:
- uname -a:
Linux ransu 2.4.18-10 #1 Wed Aug 7 10:26:48 EDT 2002 i686 unknown

- kernel modules load right away:
Oct 29 00:13:32 ransu kernel: hub.c: USB new device connect on bus1/2, assigned 
device number 2
Oct 29 00:13:32 ransu kernel: usb.c: USB device 2 (vend/prod 0xa12/0x1) is not c
laimed by any active driver.
Oct 29 00:13:32 ransu kernel: bluetooth.c: USB Bluetooth support registered
Oct 29 00:13:32 ransu kernel: usb.c: registered new driver bluetooth
Oct 29 00:13:32 ransu kernel: bluetooth.c: USB Bluetooth converter detected
Oct 29 00:13:32 ransu kernel: bluetooth.c: Bluetooth converter now attached to t
tyUB0 (or usb/ttub/0 for devfs)
Oct 29 00:13:32 ransu kernel: BlueZ HCI Core ver 1.1 Copyright (C) 2000,2001 Qua
lcomm Inc
Oct 29 00:13:33 ransu kernel: Written 2000,2001 by Maxim Krasnyansky <maxk@qualc
omm.com>
Oct 29 00:13:33 ransu xinetd[717]: chargen disabled, removing
Oct 29 00:13:33 ransu kernel: BlueZ HCI USB driver ver 1.0 Copyright (C) 2000,20
01 Qualcomm Inc
Oct 29 00:13:33 ransu kernel: Written 2000,2001 by Maxim Krasnyansky <maxk@qualc
omm.com>
Oct 29 00:13:33 ransu kernel: usb.c: registered new driver hci_usb

- but no hciconfig or other Bluez tools are available, how do I use this then? I
don't...
- I compilethe utils tar.gz, but current tools don't like RH kernel modules or
something:
Oct 29 00:41:13 ransu hcid[1749]: HCI daemon ver 2.1 started
Oct 29 00:41:13 ransu hcid[1749]: Can't get device list. No such device(19)
Oct 29 00:41:13 ransu bluetooth: hcid startup succeeded
Oct 29 00:41:13 ransu sdpd[1754]: SDPd ver 0.8 started 
Oct 29 00:41:13 ransu bluetooth: sdpd startup succeeded

- and command line tools say the same:
# hciconfig 
Can't get device list: No such device

- Solution: try with vanilla 2.4.19

- AOB: on Debian this works http://www.hut.fi/u/kehannin/bluetooth/bluetooth.html

-Mikko
Comment 2 Arjan van de Ven 2003-06-07 14:56:57 EDT
current erratum kernel has working bluetooth; RHL9 in addition has the userspace
helpers

Note You need to log in before you can comment on or make changes to this bug.